openshot::DecklinkError Class Reference

Exception when accessing a blackmagic decklink card. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::DecklinkError:

## Public Member Functions

| DecklinkError (std::string message)
| Constructor. More...
virtual | ~DecklinkError () noexcept
Public Member Functions inherited from openshot::BaseException
| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
std::string | m_message

## Detailed Description

Exception when accessing a blackmagic decklink card.

Definition at line 79 of file Exceptions.h.

## Constructor & Destructor Documentation

## DecklinkError()

openshot::DecklinkError::DecklinkError | ( | std::string | message | ) |

inline

Constructor.

Parameters

  message | A message to accompany the exception

Definition at line 87 of file Exceptions.h.

## ~DecklinkError()

virtual openshot::DecklinkError::~DecklinkError | ( |  | ) |

inline virtual noexcept

Definition at line 89 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h